Skip to content
Browse files

Regenerate gemspec for version 0.1.0

  • Loading branch information...
1 parent 9740e9f commit 2efc3b9a7319d8e4056c0489efdba0eaa1944f1a @josephruscio josephruscio committed Apr 10, 2011
Showing with 62 additions and 0 deletions.
  1. +62 −0 rack-test-rest.gemspec
View
62 rack-test-rest.gemspec
@@ -0,0 +1,62 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{rack-test-rest}
+ s.version = "0.1.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Joseph Ruscio"]
+ s.date = %q{2011-04-10}
+ s.description = %q{rack-test-rest is an extension to rack-test that when combined with Test::Unit simplifies the process of unit testing properly designed RESTful API's.}
+ s.email = %q{joe@ruscio.org}
+ s.extra_rdoc_files = [
+ "LICENSE.txt",
+ "README.md"
+ ]
+ s.files = [
+ ".document",
+ "Gemfile",
+ "Gemfile.lock",
+ "LICENSE.txt",
+ "README.md",
+ "Rakefile",
+ "VERSION",
+ "lib/rack-test-rest.rb",
+ "test/helper.rb",
+ "test/test_rack-test-rest.rb"
+ ]
+ s.homepage = %q{http://github.com/josephruscio/rack-test-rest}
+ s.licenses = ["MIT"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.4.2}
+ s.summary = %q{Abstractions for testing RESTful API's with rack-test and Test::Unit.}
+ s.test_files = [
+ "test/helper.rb",
+ "test/test_rack-test-rest.rb"
+ ]
+
+ if s.respond_to? :specification_version then
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_development_dependency(%q<shoulda>, [">= 0"])
+ s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
+ s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_development_dependency(%q<rcov>, [">= 0"])
+ else
+ s.add_dependency(%q<shoulda>, [">= 0"])
+ s.add_dependency(%q<bundler>, ["~> 1.0.0"])
+ s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_dependency(%q<rcov>, [">= 0"])
+ end
+ else
+ s.add_dependency(%q<shoulda>, [">= 0"])
+ s.add_dependency(%q<bundler>, ["~> 1.0.0"])
+ s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_dependency(%q<rcov>, [">= 0"])
+ end
+end
+

0 comments on commit 2efc3b9

Please sign in to comment.
Something went wrong with that request. Please try again.